## GNOME
Class _UnknownStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--GNOME._UnknownStub

public class _UnknownStub
extends org.omg.CORBA.portable.ObjectImpl
implements Unknown

See Also:
  Serialized Form

Constructor Summary
`_UnknownStub(org.omg.CORBA.portable.Delegate d)`

Method Summary
`java.lang.String[]` `_ids()`
`org.omg.CORBA.Object` `query_interface(java.lang.String repoid)`
`void` `ref()`
`void` `unref()`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### _UnknownStub

    public _UnknownStub(org.omg.CORBA.portable.Delegate d)

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    _ids in class org.omg.CORBA.portable.ObjectImpl

### ref

    public void ref()

  Specified by:
    ref in interface Unknown

### unref

    public void unref()

  Specified by:
    unref in interface Unknown

### query_interface

    public org.omg.CORBA.Object query_interface(java.lang.String repoid)

  Specified by:
    query_interface in interface Unknown